## org.apache.commons.collections
Interface OrderedMapIterator

All Superinterfaces:
  java.util.Iterator, MapIterator, OrderedIterator

All Known Implementing Classes:
  AbstractLinkedMap.LinkMapIterator, AbstractOrderedMapIteratorDecorator, DualTreeBidiMap.BidiOrderedMapIterator, EmptyOrderedMapIterator, UnmodifiableOrderedMapIterator

    public interface OrderedMapIterator

extends MapIterator, OrderedIterator

Defines an iterator that operates over an ordered `Map`.

This iterator allows both forward and reverse iteration through the map.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Method Summary
`boolean` `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
`java.lang.Object` `previous()` Gets the previous key from the `Map`.

Methods inherited from interface org.apache.commons.collections.MapIterator
`getKey, getValue, hasNext, next, remove, setValue`

Method Detail

### hasPrevious

    boolean hasPrevious()

  Checks to see if there is a previous entry that can be iterated to.

  Specified by:
    `hasPrevious` in interface `OrderedIterator`
  Returns:
    `true` if the iterator has a previous element

### previous

    java.lang.Object previous()

  Gets the previous key from the `Map`.

  Specified by:
    `previous` in interface `OrderedIterator`
  Returns:
    the previous key in the iteration
  Throws:
    `java.util.NoSuchElementException` - if the iteration is finished

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.